import tkinter
import tkinter.ttk
import re

class Application(tkinter.ttk.Frame):
    def __init__(self, master=None):
        super().__init__(master)
        # Обязательно указываем ширину и высоту контейнера посредством
        # опций width и height соответственно
        self.configure(width=200, height=100)
        self.pack(padx=4, pady=4)
        self.create_widgets()
        self.master.title("Проверка значений")
        # Запрещаем изменять размеры окна
        self.master.resizable(False, False)

    def create_widgets(self):
        self.pre = re.compile(r"^[1-9]{6}$")
        v = self.register(self.is_valid)
        self.entValue = tkinter.ttk.Entry(self, validatecommand=(v, "%P"), validate="focusout")
        self.entValue.pack()
        btnOK = tkinter.ttk.Button(self, text="Отправить")
        btnOK.pack()

    def is_valid(self, value):
        if self.pre.match(value):
            return True
        else:
            self.entValue.focus_set()
            return False
           

root = tkinter.Tk()
app = Application(master=root)
root.mainloop()
